summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Binh Nguyen2010-09-21 12:02:17 +0200
committer Robby Workman2010-09-22 05:09:44 +0200
commitaa309510302ce21b224f420f36c46c0fb0f4e442 (patch)
tree986696d1273397e4a9407672be905f7e5e465dd7
parent7590d1c99cca00e64d6f0d055efa70fe0c087134 (diff)
downloadslackbuilds-aa309510302ce21b224f420f36c46c0fb0f4e442.tar.gz
libraries/perl-extutils-pkgconfig: Updated for version 1.12.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild16
-rw-r--r--libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info14
-rw-r--r--libraries/perl-extutils-pkgconfig/slack-desc26
3 files changed, 26 insertions, 30 deletions
diff --git a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
index 44c4795069..ec3cfa6b8b 100644
--- a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
+++ b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for perl-extutils-pkgconfig
# (C) 2007 Michael Wagner <lapinours@web.de>
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +24,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-extutils-pkgconfig
-SRCNAM=ExtUtils-PkgConfig
-VERSION=1.08
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.12}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
+SRCNAM=ExtUtils-PkgConfig
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -62,10 +62,7 @@ mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
gzip -9 $PKG/usr/man/man3/* 2> /dev/null
# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-) || exit 1
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
@@ -73,7 +70,6 @@ find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info
index fd9c02ecc7..e5751205ef 100644
--- a/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info
+++ b/libraries/perl-extutils-pkgconfig/perl-extutils-pkgconfig.info
@@ -1,10 +1,10 @@
PRGNAM="perl-extutils-pkgconfig"
-VERSION="1.08"
-HOMEPAGE="http://gtk2-perl.sourceforge.net"
-DOWNLOAD="http://www.cpan.org/modules/by-module/ExtUtils/ExtUtils-PkgConfig-1.08.tar.gz"
-MD5SUM="7bd9e8a7b1f0c624281b4eb0acc90384"
+VERSION="1.12"
+HOMEPAGE="http://search.cpan.org/dist/ExtUtils-PkgConfig/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/ExtUtils-PkgConfig-1.12.tar.gz"
+MD5SUM="8fc5c0b30cfda2048ec87ae418cc3508"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Michael Wagner"
-EMAIL="lapinours@web.de"
-APPROVED="rworkman"
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/libraries/perl-extutils-pkgconfig/slack-desc b/libraries/perl-extutils-pkgconfig/slack-desc
index 30c2ecc157..eab737d7a0 100644
--- a/libraries/perl-extutils-pkgconfig/slack-desc
+++ b/libraries/perl-extutils-pkgconfig/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
perl-extutils-pkgconfig: ExtUtils::PkgConfig (perl module)
-perl-extutils-pkgconfig:
-perl-extutils-pkgconfig: ExtUtils::PkgConfig is a very simplistic interface
-perl-extutils-pkgconfig: to pkg-config, intended for use in the Makefile.PL
-perl-extutils-pkgconfig: of perl extensions which bind libraries that
-perl-extutils-pkgconfig: pkg-config knows. It is really just boilerplate code
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: ExtUtils::PkgConfig is a very simplistic interface to pkg-config,
+perl-extutils-pkgconfig: intended for use in the Makefile.PL of perl extensions which bind
+perl-extutils-pkgconfig: libraries that pkg-config knows. It is really just boilerplate code
perl-extutils-pkgconfig: that you would've written yourself.
-perl-extutils-pkgconfig:
-perl-extutils-pkgconfig: Homepage: http://gtk2-perl.sourceforge.net/
-perl-extutils-pkgconfig:
-perl-extutils-pkgconfig:
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: Homepage: http://search.cpan.org/dist/ExtUtils-PkgConfig/
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig:
+perl-extutils-pkgconfig: